For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
13.5kProductPricingSign inStart free trialBook a demo
DocsAPIsSDKsEnterprise EdgeGuidesAcademyRelease notes
DocsAPIsSDKsEnterprise EdgeGuidesAcademyRelease notes
    • API overview
  • Client API
  • Frontend API
  • Admin API
      • GETGet the most recent events from the Unleash instance or all events related to a project.
      • GETGet all events related to a specific feature flag.
      • GETGet a list of all users that have created events
      • GETSearch for events

Unleash reduces the risk of releasing new features, drives innovation by streamlining the software release process, and increases revenue by optimizing end-user experience. While we serve the needs of the world's largest, most security-conscious organizations, we are also rated the “Easiest Feature Management system to use” by G2.

GitHubGitHubLinkedInLinkedInX (Twitter)X (Twitter)SlackSlackStack OverflowStack OverflowYouTubeYouTube

Server SDKs

  • Node.js
  • Java
  • Go
  • Rust
  • Ruby
  • Python
  • .NET
  • PHP
  • All SDKs

Frontend SDKs

  • JavaScript
  • React
  • Next.js
  • Vue
  • iOS
  • Android
  • Flutter

Feature Flag use cases

  • Secure, scalable feature flags
  • Rollbacks
  • FedRAMP, SOC2, ISO2700 compliance
  • Progressive or gradual rollouts
  • Trunk-based development
  • Software kill switches
  • A/B testing
  • Feature management
  • Canary releases

Product

  • Quickstart
  • Unleash architecture
  • Pricing
  • Product vision
  • Open live demo
  • Open source
  • Enterprise feature management platform
  • Unleash vs LaunchDarkly

Support

  • Help center
  • Status
  • Changelog
Made in a cosy atmosphere in the Nordic countries.Copyright © 2026 Unleash
LogoLogo
13.5kProductPricingSign inStart free trialBook a demo
Admin APIEvents

Get all events related to a specific feature flag.

Deprecated
||View as Markdown|
GET
https://app.unleash-instance.example.com/api/admin/events/:featureName
GET
/api/admin/events/:featureName
$curl https://app.unleash-instance.example.com/api/admin/events/featureName \
> -H "Authorization: <apiKey>"
1{
2 "events": [
3 {
4 "id": 1,
5 "createdAt": "2023-07-05T12:56:00.000Z",
6 "type": "feature-created",
7 "createdBy": "johndoe",
8 "createdByUserId": 1337,
9 "environment": "development",
10 "project": "default",
11 "featureName": "my.first.feature",
12 "data": {
13 "name": "new-feature",
14 "description": "Flag description",
15 "type": "release",
16 "project": "my-project",
17 "stale": false,
18 "variants": [],
19 "createdAt": "2022-05-31T13:32:20.547Z",
20 "lastSeenAt": null,
21 "impressionData": true
22 },
23 "preData": {
24 "name": "new-feature",
25 "description": "Flag description",
26 "type": "release",
27 "project": "my-project",
28 "stale": false,
29 "variants": [],
30 "createdAt": "2022-05-31T13:32:20.547Z",
31 "lastSeenAt": null,
32 "impressionData": true
33 },
34 "tags": [
35 {
36 "value": "a-tag-value",
37 "type": "simple",
38 "color": "#FFFFFF"
39 }
40 ],
41 "label": "string",
42 "summary": "string",
43 "ip": "192.168.1.1",
44 "groupType": "change-request",
45 "groupId": "01HQVX5K8P9EXAMPLE123456"
46 }
47 ],
48 "version": 1,
49 "toggleName": "my.first.feature.flag",
50 "totalEvents": 13
51}
Returns all events related to the specified feature flag. If the feature flag does not exist, the list of events will be empty.
Was this page helpful?
Previous

Get a list of all users that have created events

Next
Built with

Authentication

Authorizationstring
API key needed to access this API
OR
AuthorizationBearer
API key needed to access this API, in Bearer token format

Path parameters

featureNamestringRequired

Response

featureEventsSchema
eventslist of objects
The list of events
versionenum
An API versioning number
Allowed values:
toggleNamestring
The name of the feature flag these events relate to
totalEventsinteger>=0
How many events are there for this feature flag

Errors

401
Unauthorized Error